Bug 2258130 - Review Request: rust-uu_head - head ~ (uutils) display the first lines of input
Summary: Review Request: rust-uu_head - head ~ (uutils) display the first lines of input
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL: https://crates.io/crates/uu_head
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-01-12 21:00 UTC by Michel Lind
Modified: 2024-01-25 00:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-01-14 04:09:27 UTC
Type: ---
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Michel Lind 2024-01-12 21:00:26 UTC
Spec URL: https://salimma.fedorapeople.org/specs/rust-uu_head.spec
SRPM URL: https://salimma.fedorapeople.org/specs/rust-uu_head-0.0.23-1.fc38.src.rpm

Description:
head ~ (uutils) display the first lines of input.

Fedora Account System Username: salimma

Comment 1 Fedora Review Service 2024-01-12 21:09:27 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6888956
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2258130-rust-uu_head/fedora-rawhide-x86_64/06888956-rust-uu_head/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Fabio Valentini 2024-01-12 22:47:11 UTC
Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification (MIT) and is acceptable for Fedora
- licenses of statically linked dependencies are correctly taken into account
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- add @rust-sig with "commit" access as package co-maintainer
  (should happen automatically)

- set bugzilla assignee overrides to @rust-sig (optional)

- track package in koschei for all built branches
  (should happen automatically once rust-sig is co-maintainer)

Comment 3 Fedora Admin user for bugzilla script actions 2024-01-14 03:51:17 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-uu_head

Comment 4 Fedora Update System 2024-01-14 04:07:19 UTC
FEDORA-2024-8918891965 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2024-8918891965

Comment 5 Fedora Update System 2024-01-14 04:09:27 UTC
FEDORA-2024-8918891965 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2024-01-16 16:07:02 UTC
FEDORA-2024-c87dc11ee3 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2024-c87dc11ee3

Comment 7 Fedora Update System 2024-01-17 01:43:52 UTC
FEDORA-2024-5285b12959 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-5285b12959 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-5285b12959

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-01-17 18:06:48 UTC
FEDORA-2024-c87dc11ee3 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-c87dc11ee3 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-c87dc11ee3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2024-01-25 00:40:34 UTC
FEDORA-2024-c87dc11ee3 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2024-01-25 00:47:16 UTC
FEDORA-2024-5285b12959 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.